<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SourceFileRequirement](./bitburner.sourcefilerequirement.md)

## SourceFileRequirement interface

Player must have this Source File.

**Signature:**

```typescript
interface SourceFileRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [sourceFile](./bitburner.sourcefilerequirement.sourcefile.md) |  | number |  |
|  [type](./bitburner.sourcefilerequirement.type.md) |  | "sourceFile" |  |

